using MarketData;
using Microsoft.AspNetCore.Mvc;
using LogLevel = MarketData.LogLevel;


namespace MarketDataServer.Controllers
{
  [ApiController]
  [Route("api/[controller]/[action]")]
  public class PingController : ControllerBase
  {
    [HttpGet(Name = "GetPing")]
    public bool GetPing()
    {
      MDTrace.WriteLine(LogLevel.DEBUG,String.Format("[{0:G}][PingController::GetPing]", DateTime.Now));
      return true;
    }

    [HttpGet(Name = "GetSystemInfo")]
    public String GetSystemInfo()
    {
      MDTrace.WriteLine(LogLevel.DEBUG,String.Format("[{0:G}][PingController::GetSystemInfo]", DateTime.Now));
      return Environment.OSVersion.VersionString;
    }    
  }
}
